%global pypi_name geoip2
%global srcname GeoIP2-python
%global desc This package provides an API for the GeoIP2 web services.
%global test_data MaxMind-DB
%global test_data_rls a23972e4a0c69b6e378cfaad15e7d58f5a795d74

Name:           python-%{pypi_name}
Version:        2.6.0
Release:        1%{?dist}
Summary:        MaxMind GeoIP2 API

License:        ASL 2.0
URL:            http://www.maxmind.com/
Source0:        https://github.com/maxmind/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        https://github.com/maxmind/%{test_data}/archive/%{test_data_rls}/%{test_data}-%{test_data_rls}.tar.gz

BuildArch:      noarch

%description
%{desc}

%package doc
Summary:        Documentation for %{name}
BuildRequires:  %{_bindir}/sphinx-build

%description doc
This package provides the documentation for %{pypi_name}.


%package -n python2-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python-requests-mock
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-requests
BuildRequires:  python-ipaddress
BuildRequires:  python2-maxminddb
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:       python2-maxminddb

%description -n python2-%{pypi_name}
%{desc}


%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-requests-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-maxminddb
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-maxminddb

%description -n python3-%{pypi_name}
%{desc}

%prep
%autosetup -n %{srcname}-%{version} -a 1
rmdir tests/data
mv -f %{test_data}-%{test_data_rls} tests/data

%build
%py2_build
%py3_build
sphinx-build -b html docs html
rm -rf html/.{buildinfo,doctrees}

%install
%py2_install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} setup.py test
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test

%files doc
%doc html/
%license LICENSE

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Wed Nov 01 2017 Lumir Balhar <lbalhar@redhat.com> - 2.6.0-1
- New upstream version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 10 2017 Lumir Balhar <lbalhar@redhat.com> - 2.5.0-1
- Update to 2.5.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.4.2-2
- Rebuild for Python 3.6

* Tue Dec 13 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.4.2-1
- Update to 2.4.2

* Tue Nov 22 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 15 2016 Lumir Balhar <lbalhar@redhat.com> - 2.4.0-1
- Initial package.
